Payment Intents
7 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/payment-intentsList all Payment Intents
Returns a list of Payment Intents. The Payment Intents are sorted with the most recently created appearing first.
Query parameters
metadataobjectoptionalmetadatakey-value pairs to filter by. Only exact matches on the key-value pair(s) will be returned. Example:?metadata[internal_customer_id]=7cb1159d-875e-47ae-a309-319fa7ff395b.created_at_gtestring date-timeoptionalMinimum
created_atvalue to filter by (inclusive).created_at_ltestring date-timeoptionalMaximum
created_atvalue to filter by (inclusive).statusarray of string (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)optionalOnly return PaymentIntents whose status is included by this array. Examples:
/v1/payment-intents?status=succeeded,requires_payment_methodand/v1/payment-intents?status=succeeded&status=requires_payment_method.include_connected_accountsbooleanoptionalWhether or not to include the results from any connected accounts.
subscription_idstringoptionalThe ID of the subscription whose payment intents will be retrieved.
qstringoptionalSupports searching by
payment_intent.id,payment_intent.amount,payment_method.billing_details.name,payment_method.id,payment_method.details.last4,payment_method.details.last2,customer.first_name,customer.last_namecustomer_idstringoptionalThe ID of the customer whose payment intents will be retrieved.
terminal_reader_idstringoptionalThe ID of the terminal reader for which payment intents will be retrieved.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of PaymentIntentrequired
/v1/payment-intentsCreate a Payment Intent
Creates a Payment Intent.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
amountnumberrequiredAmount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00)
apply_surchargebooleanoptionalWhether to apply the account's surcharge rate to this payment intent. The final surcharge amount will be calculated when the payment is captured or confirmed.
capture_methodstring (automatic | manual)optionalControls when the funds will be captured from the customer’s account.
automatic(Default) Paydude automatically captures funds when the customer authorizes the payment.manualPlace a hold on funds when the customer authorizes the payment, but don't capture the funds until later.confirmbooleanoptionalSet to 'true' to attempt to confirm this PaymentIntent immediately. This parameter defaults to
false.currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter ISO currency code, in lowercase.
level3Level3optionalLevel 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e.
''ornull) to them. All keys can be unset by posting an empty value (i.e.{}ornull) tometadata.occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optionalUsed to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud.
consumer_ad_hocAd hoc consumer-initiated requestmerchant_ad_hocUnscheduled merchant-initiated requestmerchant_recurringScheduled, merchant-initiated recurring requestpayment_method_idstringoptionalID of the PaymentMethod to attach to this PaymentIntent.
payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)requiredThe list of payment method types (e.g. card) that this PaymentIntent is allowed to use.
platform_fee_amountnumberoptionalThe amount of the platform fee (if any) that will be requested to be applied to the payment and transferred to the
partneraccount. The amount of the fee collected will be capped at the total payment amount.statement_descriptor_suffixstringoptionalProvides information about a payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 20 characters for the concatenated descriptor.
Create a Payment Intent
{
"amount": 1000,
"currency": "usd",
"payment_method_types": [
"card"
],
"confirm": true,
"payment_method_id": "{{PAYMENT_METHOD_ID}}"
}Create a card present Payment Intent
{
"amount": 1000,
"currency": "usd",
"payment_method_types": [
"card_present"
],
"confirm": true,
"payment_method_id": "{{PAYMENT_METHOD_ID}}"
}Responses
201PaymentIntent
account_idstringrequiredID of the Paydude account for which the funds of this PaymentIntent are intended.
amountnumberrequiredAmount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).
amount_capturablenumberrequiredAmount that can be captured from this PaymentIntent.
amount_incrementednumberrequiredAmount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).
amount_receivednumberrequiredAmount that was collected by this PaymentIntent.
amount_refundablenumberrequiredThe maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.
canceled_atstring date-timeoptionalPopulated when
statusiscanceled, this is the time at which the PaymentIntent was canceled.cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optionalReason for cancellation of this PaymentIntent, either user-provided (
duplicate,fraudulent,requested_by_customer, orabandoned) or generated by Paydude internally (automatic).capture_methodstring (automatic | manual)requiredControls when the funds will be captured from the customer’s account.
automatic(Default) Paydude automatically captures funds when the customer authorizes the payment.manualPlace a hold on funds when the customer authorizes the payment, but don't capture the funds until later.chargesarray of ChargerequiredCharges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.
client_secretstringrequiredThe client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.
created_atstring date-timerequiredTime at which the object was created.
currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
customerCustomeroptionalThe Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.
idstringrequiredUnique identifier for the object.
last_payment_errorPaymentIntentErroroptionalThe payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.
level3Level3optionalLevel 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optionalUsed to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud.
consumer_ad_hocAd hoc consumer-initiated requestmerchant_ad_hocUnscheduled merchant-initiated requestmerchant_recurringScheduled, merchant-initiated recurring requestpayment_methodPaymentMethodoptionalThe PaymentMethod used in this PaymentIntent.
payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)requiredThe list of payment method types (e.g. card) that this PaymentIntent is allowed to use.
platform_fee_amountnumberoptionalThe amount of the fee (if any) that will be requested to be applied to the payment and transferred to the
partneraccount. The amount of the fee collected will be capped a the total payment amount.statement_descriptor_suffixstringoptionalProvides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor
statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)requiredStatus of this PaymentIntent, one of
requires_payment_method,requires_confirmation,requires_action,processing,requires_capture,canceled, orsucceeded.subscription_idstringoptionalID of the subscription related to this PaymentIntent (if any).
surcharge_amountnumberrequiredAmount (in the smallest currency unit) of the surcharge applied to the payment.
tip_amountnumberoptionalPortion of the amount that is a tip/gratuity (if any).
updated_atstring date-timerequiredTime at which the object was updated.
/v1/payment-intents/{id}Get a Payment Intent
Retrieves the details of an existing Payment Intent.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaymentIntent
account_idstringrequiredID of the Paydude account for which the funds of this PaymentIntent are intended.
amountnumberrequiredAmount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).
amount_capturablenumberrequiredAmount that can be captured from this PaymentIntent.
amount_incrementednumberrequiredAmount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).
amount_receivednumberrequiredAmount that was collected by this PaymentIntent.
amount_refundablenumberrequiredThe maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.
canceled_atstring date-timeoptionalPopulated when
statusiscanceled, this is the time at which the PaymentIntent was canceled.cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optionalReason for cancellation of this PaymentIntent, either user-provided (
duplicate,fraudulent,requested_by_customer, orabandoned) or generated by Paydude internally (automatic).capture_methodstring (automatic | manual)requiredControls when the funds will be captured from the customer’s account.
automatic(Default) Paydude automatically captures funds when the customer authorizes the payment.manualPlace a hold on funds when the customer authorizes the payment, but don't capture the funds until later.chargesarray of ChargerequiredCharges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.
client_secretstringrequiredThe client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.
created_atstring date-timerequiredTime at which the object was created.
currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
customerCustomeroptionalThe Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.
idstringrequiredUnique identifier for the object.
last_payment_errorPaymentIntentErroroptionalThe payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.
level3Level3optionalLevel 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optionalUsed to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud.
consumer_ad_hocAd hoc consumer-initiated requestmerchant_ad_hocUnscheduled merchant-initiated requestmerchant_recurringScheduled, merchant-initiated recurring requestpayment_methodPaymentMethodoptionalThe PaymentMethod used in this PaymentIntent.
payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)requiredThe list of payment method types (e.g. card) that this PaymentIntent is allowed to use.
platform_fee_amountnumberoptionalThe amount of the fee (if any) that will be requested to be applied to the payment and transferred to the
partneraccount. The amount of the fee collected will be capped a the total payment amount.statement_descriptor_suffixstringoptionalProvides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor
statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)requiredStatus of this PaymentIntent, one of
requires_payment_method,requires_confirmation,requires_action,processing,requires_capture,canceled, orsucceeded.subscription_idstringoptionalID of the subscription related to this PaymentIntent (if any).
surcharge_amountnumberrequiredAmount (in the smallest currency unit) of the surcharge applied to the payment.
tip_amountnumberoptionalPortion of the amount that is a tip/gratuity (if any).
updated_atstring date-timerequiredTime at which the object was updated.
/v1/payment-intents/{id}Update a Payment Intent
Updates a Payment Intent by setting the values of the provided parameters. Any parameters not provided will be left unchanged. Depending on which properties are updated, you may need to [Confirm the Payment Intent](https://docs.paymentsonline.io/api-reference#tag/payment-intents/post/v1/payment-intents/{id}/confirm) again.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
amountnumberoptionalAmount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00)
apply_surchargebooleanoptionalWhether to apply the account's surcharge rate to this payment intent. The final surcharge amount will be calculated when the payment is captured or confirmed.
capture_methodstring (automatic | manual)optionalControls when the funds will be captured from the customer’s account.
automatic(Default) Paydude automatically captures funds when the customer authorizes the payment.manualPlace a hold on funds when the customer authorizes the payment, but don't capture the funds until later.currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)optionalThree-letter ISO currency code, in lowercase.
level3Level3optionalLevel 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e.
''ornull) to them. All keys can be unset by posting an empty value (i.e.{}ornull) tometadata.occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optionalUsed to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud.
consumer_ad_hocAd hoc consumer-initiated requestmerchant_ad_hocUnscheduled merchant-initiated requestmerchant_recurringScheduled, merchant-initiated recurring requestpayment_method_idstringoptionalID of the PaymentMethod to attach to this PaymentIntent.
payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)optionalThe list of payment method types (e.g. card) that this PaymentIntent is allowed to use.
platform_fee_amountnumberoptionalThe amount of the platform fee (if any) that will be requested to be applied to the payment and transferred to the
partneraccount. The amount of the fee collected will be capped at the total payment amount.statement_descriptor_suffixstringoptionalProvides information about a payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 20 characters for the concatenated descriptor.
Responses
200PaymentIntent
account_idstringrequiredID of the Paydude account for which the funds of this PaymentIntent are intended.
amountnumberrequiredAmount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).
amount_capturablenumberrequiredAmount that can be captured from this PaymentIntent.
amount_incrementednumberrequiredAmount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).
amount_receivednumberrequiredAmount that was collected by this PaymentIntent.
amount_refundablenumberrequiredThe maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.
canceled_atstring date-timeoptionalPopulated when
statusiscanceled, this is the time at which the PaymentIntent was canceled.cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optionalReason for cancellation of this PaymentIntent, either user-provided (
duplicate,fraudulent,requested_by_customer, orabandoned) or generated by Paydude internally (automatic).capture_methodstring (automatic | manual)requiredControls when the funds will be captured from the customer’s account.
automatic(Default) Paydude automatically captures funds when the customer authorizes the payment.manualPlace a hold on funds when the customer authorizes the payment, but don't capture the funds until later.chargesarray of ChargerequiredCharges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.
client_secretstringrequiredThe client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.
created_atstring date-timerequiredTime at which the object was created.
currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
customerCustomeroptionalThe Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.
idstringrequiredUnique identifier for the object.
last_payment_errorPaymentIntentErroroptionalThe payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.
level3Level3optionalLevel 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optionalUsed to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud.
consumer_ad_hocAd hoc consumer-initiated requestmerchant_ad_hocUnscheduled merchant-initiated requestmerchant_recurringScheduled, merchant-initiated recurring requestpayment_methodPaymentMethodoptionalThe PaymentMethod used in this PaymentIntent.
payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)requiredThe list of payment method types (e.g. card) that this PaymentIntent is allowed to use.
platform_fee_amountnumberoptionalThe amount of the fee (if any) that will be requested to be applied to the payment and transferred to the
partneraccount. The amount of the fee collected will be capped a the total payment amount.statement_descriptor_suffixstringoptionalProvides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor
statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)requiredStatus of this PaymentIntent, one of
requires_payment_method,requires_confirmation,requires_action,processing,requires_capture,canceled, orsucceeded.subscription_idstringoptionalID of the subscription related to this PaymentIntent (if any).
surcharge_amountnumberrequiredAmount (in the smallest currency unit) of the surcharge applied to the payment.
tip_amountnumberoptionalPortion of the amount that is a tip/gratuity (if any).
updated_atstring date-timerequiredTime at which the object was updated.
/v1/payment-intents/{id}/cancelCancel a Payment Intent
Cancels an existing Payment Intent. A Payment Intent can be canceled when it is in one of these statuses: requires_payment_method, requires_capture, requires_confirmation, or requires_action. Once canceled, no additional charges will be made by the Payment Intent, and any operations on the Payment Intent will fail with an error.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned)optionalReason for canceling this PaymentIntent. Possible values are
duplicate,fraudulent,requested_by_customer, orabandoned
Responses
201PaymentIntent
account_idstringrequiredID of the Paydude account for which the funds of this PaymentIntent are intended.
amountnumberrequiredAmount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).
amount_capturablenumberrequiredAmount that can be captured from this PaymentIntent.
amount_incrementednumberrequiredAmount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).
amount_receivednumberrequiredAmount that was collected by this PaymentIntent.
amount_refundablenumberrequiredThe maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.
canceled_atstring date-timeoptionalPopulated when
statusiscanceled, this is the time at which the PaymentIntent was canceled.cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optionalReason for cancellation of this PaymentIntent, either user-provided (
duplicate,fraudulent,requested_by_customer, orabandoned) or generated by Paydude internally (automatic).capture_methodstring (automatic | manual)requiredControls when the funds will be captured from the customer’s account.
automatic(Default) Paydude automatically captures funds when the customer authorizes the payment.manualPlace a hold on funds when the customer authorizes the payment, but don't capture the funds until later.chargesarray of ChargerequiredCharges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.
client_secretstringrequiredThe client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.
created_atstring date-timerequiredTime at which the object was created.
currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
customerCustomeroptionalThe Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.
idstringrequiredUnique identifier for the object.
last_payment_errorPaymentIntentErroroptionalThe payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.
level3Level3optionalLevel 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optionalUsed to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud.
consumer_ad_hocAd hoc consumer-initiated requestmerchant_ad_hocUnscheduled merchant-initiated requestmerchant_recurringScheduled, merchant-initiated recurring requestpayment_methodPaymentMethodoptionalThe PaymentMethod used in this PaymentIntent.
payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)requiredThe list of payment method types (e.g. card) that this PaymentIntent is allowed to use.
platform_fee_amountnumberoptionalThe amount of the fee (if any) that will be requested to be applied to the payment and transferred to the
partneraccount. The amount of the fee collected will be capped a the total payment amount.statement_descriptor_suffixstringoptionalProvides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor
statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)requiredStatus of this PaymentIntent, one of
requires_payment_method,requires_confirmation,requires_action,processing,requires_capture,canceled, orsucceeded.subscription_idstringoptionalID of the subscription related to this PaymentIntent (if any).
surcharge_amountnumberrequiredAmount (in the smallest currency unit) of the surcharge applied to the payment.
tip_amountnumberoptionalPortion of the amount that is a tip/gratuity (if any).
updated_atstring date-timerequiredTime at which the object was updated.
/v1/payment-intents/{id}/captureCapture a Payment Intent
Captures a Payment Intent. Payment Intents can only be captured if their status is requires_capture. Uncaptured Payment Intents will be canceled exactly 7 days after creation.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
amount_to_capturenumberoptionalThe amount to capture from the PaymentIntent. Must be less than or equal to the original
amount, unless the account has overcapture enabled, in which case a greater amount may be captured. Any amount left uncaptured will be automatically refunded. Defaults to the fullamountif not provided. For surcharged PaymentIntents, capture the full originalamount; the locked surcharge is added automatically. Useamount_capturablefor the outstanding amount.platform_fee_amountnumberoptionalThe amount of the platform fee (if any) that will be requested to be applied to the payment and transferred to the
partneraccount. The amount of the fee collected will be capped at the total payment amount.
Responses
201PaymentIntent
account_idstringrequiredID of the Paydude account for which the funds of this PaymentIntent are intended.
amountnumberrequiredAmount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).
amount_capturablenumberrequiredAmount that can be captured from this PaymentIntent.
amount_incrementednumberrequiredAmount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).
amount_receivednumberrequiredAmount that was collected by this PaymentIntent.
amount_refundablenumberrequiredThe maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.
canceled_atstring date-timeoptionalPopulated when
statusiscanceled, this is the time at which the PaymentIntent was canceled.cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optionalReason for cancellation of this PaymentIntent, either user-provided (
duplicate,fraudulent,requested_by_customer, orabandoned) or generated by Paydude internally (automatic).capture_methodstring (automatic | manual)requiredControls when the funds will be captured from the customer’s account.
automatic(Default) Paydude automatically captures funds when the customer authorizes the payment.manualPlace a hold on funds when the customer authorizes the payment, but don't capture the funds until later.chargesarray of ChargerequiredCharges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.
client_secretstringrequiredThe client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.
created_atstring date-timerequiredTime at which the object was created.
currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
customerCustomeroptionalThe Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.
idstringrequiredUnique identifier for the object.
last_payment_errorPaymentIntentErroroptionalThe payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.
level3Level3optionalLevel 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optionalUsed to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud.
consumer_ad_hocAd hoc consumer-initiated requestmerchant_ad_hocUnscheduled merchant-initiated requestmerchant_recurringScheduled, merchant-initiated recurring requestpayment_methodPaymentMethodoptionalThe PaymentMethod used in this PaymentIntent.
payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)requiredThe list of payment method types (e.g. card) that this PaymentIntent is allowed to use.
platform_fee_amountnumberoptionalThe amount of the fee (if any) that will be requested to be applied to the payment and transferred to the
partneraccount. The amount of the fee collected will be capped a the total payment amount.statement_descriptor_suffixstringoptionalProvides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor
statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)requiredStatus of this PaymentIntent, one of
requires_payment_method,requires_confirmation,requires_action,processing,requires_capture,canceled, orsucceeded.subscription_idstringoptionalID of the subscription related to this PaymentIntent (if any).
surcharge_amountnumberrequiredAmount (in the smallest currency unit) of the surcharge applied to the payment.
tip_amountnumberoptionalPortion of the amount that is a tip/gratuity (if any).
updated_atstring date-timerequiredTime at which the object was updated.
/v1/payment-intents/{id}/confirmConfirm a Payment Intent
Confirms a Payment Intent. Confirming indicates that the customer intends to pay with the provided payment method.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
payment_method_idstringoptionalID of the PaymentMethod to attach to this PaymentIntent.
Confirm a Payment Intent
{
"payment_method_id": "{{PAYMENT_METHOD_ID}}"
}Responses
201PaymentIntent
account_idstringrequiredID of the Paydude account for which the funds of this PaymentIntent are intended.
amountnumberrequiredAmount intended to be collected by this PaymentIntent. A positive integer representing how much to charge in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency).
amount_capturablenumberrequiredAmount that can be captured from this PaymentIntent.
amount_incrementednumberrequiredAmount (in the smallest currency unit) by which the authorization hold across this PaymentIntent's charges has been raised via incremental authorizations (e.g. overcapture on card-not-present transactions).
amount_receivednumberrequiredAmount that was collected by this PaymentIntent.
amount_refundablenumberrequiredThe maximum amount (in the smallest currency unit) that can be refunded for this PaymentIntent. Note: Surcharge amount is not directly refundable and will be calculated based on the proportion of the original amount refunded.
canceled_atstring date-timeoptionalPopulated when
statusiscanceled, this is the time at which the PaymentIntent was canceled.cancellation_reasonstring (duplicate | fraudulent | requested_by_customer | abandoned | automatic)optionalReason for cancellation of this PaymentIntent, either user-provided (
duplicate,fraudulent,requested_by_customer, orabandoned) or generated by Paydude internally (automatic).capture_methodstring (automatic | manual)requiredControls when the funds will be captured from the customer’s account.
automatic(Default) Paydude automatically captures funds when the customer authorizes the payment.manualPlace a hold on funds when the customer authorizes the payment, but don't capture the funds until later.chargesarray of ChargerequiredCharges that were created by this PaymentIntent, if any. At most, this list will only contain one successful charge.
client_secretstringrequiredThe client secret of this PaymentIntent. The client secret, along with a publishable key, can be used to complete a payment from your frontend. It should not be stored, logged, embedded in URLs, or exposed to anyone other than the customer. Make sure that you have TLS enabled on any page that includes the client secret.
created_atstring date-timerequiredTime at which the object was created.
currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)requiredThree-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.
customerCustomeroptionalThe Customer this PaymentIntent belongs to, if one exists. Payment methods attached to other Customers cannot be used with this PaymentIntent.
idstringrequiredUnique identifier for the object.
last_payment_errorPaymentIntentErroroptionalThe payment error encountered in the previous PaymentIntent confirmation. It will be cleared if the PaymentIntent is later updated for any reason.
level3Level3optionalLevel 2 and Level 3 (L2/L3) credit card processing refers to certain B2B card transactions for which the merchant might be eligible for lower credit card interchange rates. The lower rates may be available for merchants who provide more detailed information when processing card-not-present transactions.
metadataobjectoptionalSet of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
occurrence_typestring (consumer_ad_hoc | merchant_ad_hoc | merchant_recurring)optionalUsed to identify authorization requests that use stored credentials to improve authorization rates and reduce fraud.
consumer_ad_hocAd hoc consumer-initiated requestmerchant_ad_hocUnscheduled merchant-initiated requestmerchant_recurringScheduled, merchant-initiated recurring requestpayment_methodPaymentMethodoptionalThe PaymentMethod used in this PaymentIntent.
payment_method_typesarray of string (card | ach_debit | eft_debit | card_present)requiredThe list of payment method types (e.g. card) that this PaymentIntent is allowed to use.
platform_fee_amountnumberoptionalThe amount of the fee (if any) that will be requested to be applied to the payment and transferred to the
partneraccount. The amount of the fee collected will be capped a the total payment amount.statement_descriptor_suffixstringoptionalProvides information about a card payment that customers see on their statements. Concatenated with the prefix (shortened descriptor) or statement descriptor that’s set on the account to form the complete statement descriptor. Maximum 22 characters for the concatenated descriptor
statusstring (canceled | processing | requires_action | requires_capture | requires_confirmation | requires_payment_method | succeeded)requiredStatus of this PaymentIntent, one of
requires_payment_method,requires_confirmation,requires_action,processing,requires_capture,canceled, orsucceeded.subscription_idstringoptionalID of the subscription related to this PaymentIntent (if any).
surcharge_amountnumberrequiredAmount (in the smallest currency unit) of the surcharge applied to the payment.
tip_amountnumberoptionalPortion of the amount that is a tip/gratuity (if any).
updated_atstring date-timerequiredTime at which the object was updated.
